Subject: bug#75781: closed (Re: Reduce unused native-inputs for grub-efi and grub-minimal)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 11 Feb 2025 20:26:02 +0000

Your bug report

#75781: Reduce unused native-inputs for grub-efi and grub-minimal

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75781: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75781
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Reduce unused native-inputs for grub-efi and grub-minimal
From: Vagrant Cascadian <[email-masked]>
To: Efraim Flashner <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 11 Feb 2025 12:24:58 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2025-02-06, Efraim Flashner wrote:
> On Thu, Jan 23, 2025 at 11:19:29AM -0800, Vagrant Cascadian wrote:
>> On 2025-01-23, Vagrant Cascadian wrote:
>> > The attached patch removes the native-inputs on qemu-minimal for both
>> > grub-efi and grub-minimal, neither of which actually use qemu-minimal it
>> > because tests are disabled.
>> ...
>> > I did not test all reverse dependents yet, but both grub-efi and
>> > grub-minimal still build.
>> 
>> And I still have not tested reverse dependents, because... there are no
>> dependents!
>> 
>> Though grub-efi is presumably widely used on actual systems and I have
>> only tested a single aarch64 system...
>
> I'd like to eventually figure out running the tests, but I assume I'd
> do it on x86_64 only either due to test support or machine speed.  No
> reason to keep it as an input for "eventually".

Sound reasonable to me!

> LGTM!

Great, pushed as:

  d3201247713f4de6d78b899ef6d9014fa9dfc542 gnu: grub-minimal, grub-efi: Reduce unused native-inputs.

live well,
  vagrant

Subject: Reduce unused native-inputs for grub-efi and grub-minimal
From: Vagrant Cascadian <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Thu, 23 Jan 2025 01:25:04 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

The attached patch removes the native-inputs on qemu-minimal for both
grub-efi and grub-minimal, neither of which actually use qemu-minimal it
because tests are disabled.

It is possible the removal of "qemu" was sufficient when using labels
but the switch away from labels may have left grub-efi and grub-minimal
with a fairly large dependency chain due to qemu-minimal, despite not
really using it.

I did not test all reverse dependents yet, but both grub-efi and
grub-minimal still build.

Dropping qemu-minimal from native-inputs really helps on architectures
with poor substitute availability, such as aarch64!

Since Efraim and Ludo were both authors of the relevent commits fixing
and/or (re)introducing this issue, I reach out for your wisdom, or at
least your thoughts!

Efraim also happens to be on the embedded team, which technically covers
gnu/packages/bootloaders.scm, although grub being an embedded thing
seems a bit of a stretch, given it is a commonly used bootloader on a
largely dominant mostly not embedded platform. I guess it is kind of an
embedded project unto itself? sort of? hrmpf.

live well,
  vagrant
From c71df9ccf0ab9713a1fd9fd7070ed151c7588120 Mon Sep 17 00:00:00 2001
From: Vagrant Cascadian <[email-masked]>
Date: Thu, 23 Jan 2025 00:56:40 -0800
Subject: [PATCH] gnu: grub-minimal, grub-efi: Reduce unused native-inputs.

"qemu" was removed in e9c1ea84fcf4a7f3da9aea9fbfe6136c75643c07 in the code
though the commit message claims to have removed "qemu-minimal". If that
worked, it may have been broken by switching away from labels in
b9c38f26f120e3e12b3bfbf29c6248a08fe1a62c.

* gnu/packages/bootloaders.scm (grub-minimal)[native-inputs]: Remove
qemu-minimal.
(grub-efi)[native-inputs]: Remove qemu-minimal.
---
 gnu/packages/bootloaders.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/bootloaders.scm b/gnu/packages/bootloaders.scm
index b5cfacca4b..4dab7bd0b7 100644
--- a/gnu/packages/bootloaders.scm
+++ b/gnu/packages/bootloaders.scm
@@ -323,7 +323,7 @@ (define-public grub-minimal
        (delete "lvm2" "mdadm" "fuse" "console-setup")))
     (native-inputs
      (modify-inputs (package-native-inputs grub)
-       (delete "help2man" "texinfo" "parted" "qemu" "xorriso")))
+       (delete "help2man" "texinfo" "parted" "qemu" "qemu-minimal" "xorriso")))
     (arguments
      (substitute-keyword-arguments (package-arguments grub)
        ((#:tests? _ #t) #f)
@@ -413,7 +413,7 @@ (define-public grub-efi
     (native-inputs
      ;; The tests are skipped in this package so we remove some test dependencies.
      (modify-inputs (package-native-inputs grub)
-       (delete "parted" "qemu" "xorriso")))
+       (delete "parted" "qemu" "qemu-minimal" "xorriso")))
     (arguments
      ;; TODO: Tests need a UEFI firmware for qemu. There is one at
      ;; https://github.com/tianocore/edk2/tree/master/OvmfPkg .

base-commit: cc678d0e4d67073943e75053c5e450c4df700b42
-- 
2.39.5